"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addLinter = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const schematics_package_1 = require("./utils/schematics-package");
const typescript_rules_1 = require("./utils/typescript-rules");
// You don't have to export the function as default. You can also have more than one rule factory
// per file.
function addLinter(options) {
    return (_tree, _context) => {
        const projectName = options.project;
        const rule = (0, schematics_1.chain)([
            (0, schematics_package_1.addAngularESLintPackages)(projectName),
            (0, schematics_package_1.modifyAngularJsonAndEsLintFile)(projectName),
            (0, typescript_rules_1.typescriptRules)(projectName),
        ]);
        return rule(_tree, _context);
    };
}
exports.addLinter = addLinter;
//# sourceMappingURL=index.js.map