import { SchematicContext, Tree } from '@angular-devkit/schematics';
/**
 * All functions were taken from @angular-eslint/schematics in favour of using eslint.
 * @angular-eslint/schematic provides rules to follow based on the https://angular.io/styleguide:
 *  - plugin:@angular-eslint/recommended
 *  - plugin:@angular-eslint/template/process-inline-templates
 *  - plugin:@angular-eslint/template/recommended
 */
export declare function createRootESLintConfig(prefix: string | null): {
    root: boolean;
    ignorePatterns: string[];
    overrides: ({
        files: string[];
        parserOptions: {
            project: string[];
            createDefaultProgram: boolean;
        };
        extends: string[];
        rules: {
            '@angular-eslint/directive-selector': (string | {
                type: string;
                prefix: string | null;
                style: string;
            })[];
            '@angular-eslint/component-selector': (string | {
                type: string;
                prefix: string | null;
                style: string;
            })[];
        };
    } | {
        files: string[];
        extends: string[];
        rules: {};
        parserOptions?: undefined;
    })[];
};
export declare function addESLintTargetToProject(angularJson: Record<string, any>, projectName: string): {
    [x: string]: any;
};
export declare function addAngularESLintPackages(projectName: string): (host: Tree, context: SchematicContext) => import("@angular-devkit/schematics/src/tree/interface").Tree;
export declare function modifyAngularJsonAndEsLintFile(projectName: string): (host: Tree, _context: SchematicContext) => import("@angular-devkit/schematics/src/tree/interface").Tree;
