"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptRules = void 0;
const schematics_1 = require("@angular-devkit/schematics");
function typescriptRules(projectName) {
    return (tree, _) => {
        const path = `./${projectName}/.eslintrc.json`;
        if (tree.exists(path)) {
            const eslintrc = tree.read(path).toString();
            const json = JSON.parse(eslintrc);
            const overridesZero = json.overrides[0];
            const extendsConfig = [
                ...overridesZero.extends,
                '@wolox/eslint-config-typescript',
            ];
            json.overrides[0].extends = extendsConfig;
            tree.overwrite(path, JSON.stringify(json, null, 2));
            return tree;
        }
        throw new schematics_1.SchematicsException(`Does not exist ${path}.`);
    };
}
exports.typescriptRules = typescriptRules;
//# sourceMappingURL=index.js.map