"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storybook = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const package_json_1 = require("./utils/package-json");
function storybook({ project }) {
    return (tree, _context) => {
        const sourceTemplatesSB = (0, schematics_1.url)('./files/global');
        const sourceExampleSB = (0, schematics_1.url)('./files/example');
        const pathRoot = `./${project}/`;
        const sourceStorybookTemplates = (0, schematics_1.apply)(sourceTemplatesSB, [
            (0, schematics_1.move)(pathRoot),
        ]);
        const sourceStorybookExamples = (0, schematics_1.apply)(sourceExampleSB, [
            (0, schematics_1.move)(`${pathRoot}/src/`),
        ]);
        const mergeSBTemplates = (0, schematics_1.mergeWith)(sourceStorybookTemplates, schematics_1.MergeStrategy.Overwrite);
        const mergeSBExamples = (0, schematics_1.mergeWith)(sourceStorybookExamples, schematics_1.MergeStrategy.Overwrite);
        const rule = (0, schematics_1.chain)([
            mergeSBTemplates,
            mergeSBExamples,
            (0, package_json_1.updatePackageJsonSB)(project)
        ]);
        return rule(tree, _context);
    };
}
exports.storybook = storybook;
//# sourceMappingURL=index.js.map