"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updatePackageJsonSB = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const constants_1 = require("./constants");
function updatePackageJsonSB(name) {
    return (tree, _context) => {
        const path = `./${name}/package.json`;
        if (tree.exists(path)) {
            const file = tree.read(path);
            const json = JSON.parse(file.toString());
            // Update scripts
            json.scripts = Object.assign(Object.assign({}, json.scripts), constants_1.scripts);
            // Add new dependencies
            json.devDependencies = Object.assign(Object.assign({}, json.devDependencies), constants_1.dependencies);
            tree.overwrite(path, JSON.stringify(json, null, 2));
            _context.logger.info(`
All @angular-storybook dependencies have been successfully installed 📦️ ✨
Please see https://storybook.js.org/docs/angular/get-started/introduction for how to add Storybooks to your project.
            `);
            return tree;
        }
        throw new schematics_1.SchematicsException(`Does not exist ${path}.`);
    };
}
exports.updatePackageJsonSB = updatePackageJsonSB;
//# sourceMappingURL=package-json.js.map