"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialize = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const core_1 = require("@angular-devkit/core");
const angular_cli_1 = require("./utils/angular-cli");
const package_json_1 = require("./utils/package-json");
const ts_config_1 = require("./utils/ts-config");
const angular_json_1 = require("./utils/angular-json");
const remove_files_1 = require("./utils/remove-files");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const replace_files_1 = require("./utils/replace-files");
function initialize(_options) {
    const { name, style, routing, storybook } = _options;
    return (_tree, context) => {
        const templateSource = (0, schematics_1.apply)((0, schematics_1.url)('./files'), [
            (0, schematics_1.template)(Object.assign(Object.assign({}, _options), core_1.strings)),
        ]);
        const merged = (0, schematics_1.mergeWith)(templateSource, schematics_1.MergeStrategy.Overwrite);
        const rule = (0, schematics_1.chain)([
            (0, angular_cli_1.schematicAngularCLI)(name, routing, style),
            merged,
            (0, package_json_1.updatePackageJson)(name),
            (0, ts_config_1.updateTsConfig)(name),
            (0, ts_config_1.updateTsConfigSpec)(name),
            (0, angular_json_1.angularJson)(name),
            (0, remove_files_1.removeKarma)(name),
            (0, replace_files_1.replaceFiles)(name),
        ]);
        context.addTask(new tasks_1.RunSchematicTask('add-linter', { project: name }));
        if (storybook) {
            context.addTask(new tasks_1.RunSchematicTask('add-storybook', { project: name }));
        }
        return rule(_tree, context);
    };
}
exports.initialize = initialize;
//# sourceMappingURL=index.js.map