"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.angularJson = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const constants_1 = require("./constants");
function angularJson(name) {
    return (tree, _) => {
        const path = `/${name}/angular.json`;
        if (tree.exists(path)) {
            const file = tree.read(path);
            const angular = JSON.parse(file.toString());
            const architect = angular.projects[`${name}`].architect;
            architect.test = Object.assign({}, constants_1.angularJsonConfigTest);
            tree.overwrite(path, JSON.stringify(angular, null, 2));
            return tree;
        }
        throw new schematics_1.SchematicsException(`Does not exist ${path}.`);
    };
}
exports.angularJson = angularJson;
//# sourceMappingURL=index.js.map