"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTsConfigSpec = exports.updateTsConfig = void 0;
const schematics_1 = require("@angular-devkit/schematics");
function updateTsConfig(name) {
    return (tree, _context) => {
        const path = `/${name}/tsconfig.json`;
        if (tree.exists(path)) {
            const file = tree.read(path);
            // Remove comments
            const fileString = file
                .toString()
                .replace(/\/\*[\s\S]*?\*\/|([^\\:]|^)\/\/.*$/gm, '');
            const json = JSON.parse(fileString);
            // Update compilerOptions
            json.compilerOptions = Object.assign(Object.assign({}, json.compilerOptions), { esModuleInterop: true });
            tree.overwrite(path, JSON.stringify(json, null, 2));
            return tree;
        }
        throw new schematics_1.SchematicsException(`Does not exist ${path}.`);
    };
}
exports.updateTsConfig = updateTsConfig;
function updateTsConfigSpec(name) {
    return (tree, _context) => {
        const path = `/${name}/tsconfig.spec.json`;
        if (tree.exists(path)) {
            const file = tree.read(path);
            // Remove comments
            const fileString = file
                .toString()
                .replace(/\/\*[\s\S]*?\*\/|([^\\:]|^)\/\/.*$/gm, '');
            const json = JSON.parse(fileString);
            // Update compilerOptions
            json.compilerOptions = Object.assign(Object.assign({}, json.compilerOptions), { emitDecoratorMetadata: true, types: ['jest'] });
            json.files = ['src/polyfills.ts'];
            tree.overwrite(path, JSON.stringify(json, null, 2));
            return tree;
        }
        throw new schematics_1.SchematicsException(`Does not exist ${path}.`);
    };
}
exports.updateTsConfigSpec = updateTsConfigSpec;
//# sourceMappingURL=index.js.map